package com.TicketManagement;

import java.util.ArrayList;

/**
 * this class is airplane class and airplane are collaborated
 * with seat and flight classes directly
 * @author Mohammad Kazemi
 */
public class Airplane {
    private String model;
    private ArrayList<Seat>seats;
    private ArrayList<Seat>freeSeats;
    public Airplane(String model){
        this.model=model;
        seats=new ArrayList<>();
        freeSeats=new ArrayList<>();
    }

    /**
     *
     * @return the model of airplane
     */
    public String getModel() {
        return model;
    }

    /**
     * this method adds seat to the airplane
     * @param seat
     */
    public void addSeat(Seat seat){
        seats.add(seat);
        freeSeats.add(seat);
    }

    /**
     *
     * @return airplane seats
     */
    public ArrayList<Seat> getseats(){return seats;}

    /**
     * this method reserve a seat for passenger
     * @param seat
     * @param passenger
     */
    public void reserveSeat(Seat seat,Passenger passenger){
        if(seats.contains(seat)) {
            freeSeats.remove(seat);
            seat.setUser(passenger);
        }
    }

    /**
     *
     * @return empty seats airplane
     */
    public ArrayList<Seat>getFreeSeats(){return freeSeats;}

}
